Index: inc/public/class.dc.template.php
===================================================================
--- inc/public/class.dc.template.php	(revision 3731)
+++ inc/public/class.dc.template.php	(revision 3874)
@@ -2092,5 +2092,5 @@
     public function PaginationIf($attr, $content)
     {
-        $if = array();
+        $if = [];
 
         if (isset($attr['start'])) {
@@ -2194,5 +2194,5 @@
         $res = "<?php\n";
         $res .= $this->core->callBehavior("templatePrepareParams",
-            array("tag" => "Comments", "method" => "blog::getComments"),
+            ["tag" => "Comments", "method" => "blog::getComments"],
             $attr, $content);
         $res .= $p;
@@ -2373,5 +2373,5 @@
     public function CommentIf($attr, $content)
     {
-        $if      = array();
+        $if      = [];
         $is_ping = null;
 
@@ -2806,5 +2806,5 @@
         $res .= $p;
         $res .= $this->core->callBehavior("templatePrepareParams",
-            array("tag" => "Pings", "method" => "blog::getComments"),
+            ["tag" => "Pings", "method" => "blog::getComments"],
             $attr, $content);
         $res .= '$_ctx->pings = $core->blog->getComments($params); unset($params);' . "\n";
Index: inc/public/lib.tpl.context.php
===================================================================
--- inc/public/lib.tpl.context.php	(revision 3830)
+++ inc/public/lib.tpl.context.php	(revision 3874)
@@ -12,5 +12,5 @@
 class context
 {
-    public $stack = array();
+    public $stack = [];
 
     public function __set($name, $var)
@@ -105,5 +105,5 @@
         return self::global_filters(
             $str,
-            array(0       => null,
+            [0       => null,
                 'encode_xml'  => $encode_xml,
                 'remove_html' => $remove_html,
@@ -112,10 +112,50 @@
                 'upper_case'  => ($upper_case == 1 ? 1 : 0),
                 'capitalize'  => ($upper_case == 2 ? 1 : 0),
-                'encode_url'  => $encode_url),
+                'encode_url'  => $encode_url],
             $tag);
     }
 
+    private static function default_filters($filter, $str, $arg)
+    {
+        switch ($filter) {
+            case 'strip_tags':
+                return self::strip_tags($str);
+
+            case 'remove_html':
+                return preg_replace('/\s+/', ' ', self::remove_html($str));
+
+            case 'encode_xml':
+            case 'encode_html':
+                return self::encode_xml($str);
+
+            case 'cut_string':
+                return self::cut_string($str, (integer) $arg);
+
+            case 'lower_case':
+                return self::lower_case($str);
+
+            case 'capitalize':
+                return self::capitalize($str);
+
+            case 'upper_case':
+                return self::upper_case($str);
+
+            case 'encode_url':
+                return self::encode_url($str);
+        }
+        return $str;
+    }
+
     public static function global_filters($str, $args, $tag = '')
     {
+        $filters = [
+            'strip_tags',                             // Removes HTML tags (mono line)
+            'remove_html',                            // Removes HTML tags
+            'encode_xml', 'encode_html',              // Encode HTML entities
+            'cut_string',                             // Cut string (length in $args['cut_string'])
+            'lower_case', 'capitalize', 'upper_case', // Case transformations
+            'encode_url'                             // URL encode (as for insert in query string)
+        ];
+
         $args[0] = &$str;
 
@@ -124,29 +164,18 @@
         $str = $args[0];
 
-        if ($args['strip_tags']) {
-            $str = self::strip_tags($str);
-        }
-        if ($args['remove_html']) {
-            $str = self::remove_html($str);
-            $str = preg_replace('/\s+/', ' ', $str);
-        }
-        if ($args['encode_xml'] || $args['encode_html']) {
-            $str = self::encode_xml($str);
-        }
-
-        if ($args['cut_string'] > 0) {
-            $str = self::cut_string($str, (integer) $args['cut_string']);
-        }
-
-        if ($args['lower_case']) {
-            $str = self::lower_case($str);
-        } elseif ($args['capitalize']) {
-            $str = self::capitalize($str);
-        } elseif ($args['upper_case']) {
-            $str = self::upper_case($str);
-        }
-
-        if ($args['encode_url']) {
-            $str = self::encode_url($str);
+        foreach ($filters as $filter) {
+            # --BEHAVIOR-- publicContentFilter
+            switch ($GLOBALS['core']->callBehavior('publicContentFilter', $GLOBALS['core'], $tag, $args, $filter)) {
+                case '1':
+                    // 3rd party filter applied and must stop
+                    break;
+                case '0':
+                default:
+                    // 3rd party filter applied and should continue
+                    // Apply default filter
+                    if ($args[$filter]) {
+                        $str = self::default_filters($filter, $str, $args[$filter]);
+                    }
+            }
         }
 
@@ -180,5 +209,5 @@
     public static function strip_tags($str)
     {
-        return trim(preg_replace('/ {2,}/', ' ', str_replace(array("\r", "\n", "\t"), ' ', html::clean($str))));
+        return trim(preg_replace('/ {2,}/', ' ', str_replace(["\r", "\n", "\t"], ' ', html::clean($str))));
     }
 
@@ -307,5 +336,5 @@
     public static function robotsPolicy($base, $over)
     {
-        $pol  = array('INDEX' => 'INDEX', 'FOLLOW' => 'FOLLOW', 'ARCHIVE' => 'ARCHIVE');
+        $pol  = ['INDEX' => 'INDEX', 'FOLLOW' => 'FOLLOW', 'ARCHIVE' => 'ARCHIVE'];
         $base = array_flip(preg_split('/\s*,\s*/', $base));
         $over = array_flip(preg_split('/\s*,\s*/', $over));
@@ -330,5 +359,5 @@
     public static function getSmilies($blog)
     {
-        $path = array();
+        $path = [];
         if (isset($GLOBALS['__theme'])) {
             $path[] = $GLOBALS['__theme'];
@@ -341,5 +370,5 @@
         $base_url   = $blog->settings->system->themes_url . '/%s/smilies/';
 
-        $res = array();
+        $res = [];
 
         foreach ($path as $t) {
@@ -356,5 +385,5 @@
         $def = file($f);
 
-        $res = array();
+        $res = [];
         foreach ($def as $v) {
             $v = trim($v);
@@ -419,5 +448,5 @@
         #
         $index  = 0;
-        $tokens = array();
+        $tokens = [];
 
         $match = '(?s:<!(?:--.*?--\s*)+>)|' . # comment
@@ -430,7 +459,7 @@
         foreach ($parts as $part) {
             if (++$index % 2 && $part != '') {
-                $tokens[] = array('text', $part);
+                $tokens[] = ['text', $part];
             } else {
-                $tokens[] = array('tag', $part);
+                $tokens[] = ['tag', $part];
             }
 
Index: inc/public/lib.urlhandlers.php
===================================================================
--- inc/public/lib.urlhandlers.php	(revision 3731)
+++ inc/public/lib.urlhandlers.php	(revision 3874)
@@ -33,5 +33,5 @@
     {
         $core = &$GLOBALS['core'];
-        $t    = new ArrayObject(array($type, $url, $representation, $handler));
+        $t    = new ArrayObject([$type, $url, $representation, $handler]);
         $core->callBehavior("publicRegisterURL", $t);
         parent::register($t[0], $t[1], $t[2], $t[3]);
@@ -241,5 +241,5 @@
             $GLOBALS['_search'] = !empty($_GET['q']) ? rawurldecode($_GET['q']) : '';
             if ($GLOBALS['_search']) {
-                $params = new ArrayObject(array('search' => $GLOBALS['_search']));
+                $params = new ArrayObject(['search' => $GLOBALS['_search']]);
                 $core->callBehavior('publicBeforeSearchCount', $params);
                 $GLOBALS['_search_count'] = $core->blog->getPosts($params, true)->f(0);
@@ -256,6 +256,6 @@
 
         $n      = self::getPageNumber($args);
-        $params = new ArrayObject(array(
-            'lang' => $args));
+        $params = new ArrayObject([
+            'lang' => $args]);
 
         $core->callBehavior('publicLangBeforeGetLangs', $params, $args);
@@ -286,8 +286,8 @@
             self::p404();
         } else {
-            $params = new ArrayObject(array(
+            $params = new ArrayObject([
                 'cat_url'       => $args,
                 'post_type'     => 'post',
-                'without_empty' => false));
+                'without_empty' => false]);
 
             $core->callBehavior('publicCategoryBeforeGetCategories', $params, $args);
@@ -317,8 +317,8 @@
             self::serveDocument('archive.html');
         } elseif (preg_match('|^/([0-9]{4})/([0-9]{2})$|', $args, $m)) {
-            $params = new ArrayObject(array(
+            $params = new ArrayObject([
                 'year'  => $m[1],
                 'month' => $m[2],
-                'type'  => 'month'));
+                'type'  => 'month']);
 
             $core->callBehavior('publicArchiveBeforeGetDates', $params, $args);
@@ -349,6 +349,6 @@
             $core->blog->withoutPassword(false);
 
-            $params = new ArrayObject(array(
-                'post_url' => $args));
+            $params = new ArrayObject([
+                'post_url' => $args]);
 
             $core->callBehavior('publicPostBeforeGetPosts', $params, $args);
@@ -380,10 +380,10 @@
                         $pwd_cookie = json_decode($_COOKIE['dc_passwd']);
                         if ($pwd_cookie === null) {
-                            $pwd_cookie = array();
+                            $pwd_cookie = [];
                         } else {
                             $pwd_cookie = (array) $pwd_cookie;
                         }
                     } else {
-                        $pwd_cookie = array();
+                        $pwd_cookie = [];
                     }
 
@@ -542,5 +542,5 @@
 
         if (preg_match('!^([a-z]{2}(-[a-z]{2})?)/(.*)$!', $args, $m)) {
-            $params = new ArrayObject(array('lang' => $m[1]));
+            $params = new ArrayObject(['lang' => $m[1]]);
 
             $args = $m[3];
@@ -582,7 +582,7 @@
 
         if ($cat_url) {
-            $params = new ArrayObject(array(
+            $params = new ArrayObject([
                 'cat_url'   => $cat_url,
-                'post_type' => 'post'));
+                'post_type' => 'post']);
 
             $core->callBehavior('publicFeedBeforeGetCategories', $params, $args);
@@ -598,7 +598,7 @@
             $subtitle = ' - ' . $_ctx->categories->cat_title;
         } elseif ($post_id) {
-            $params = new ArrayObject(array(
+            $params = new ArrayObject([
                 'post_id'   => $post_id,
-                'post_type' => ''));
+                'post_type' => '']);
 
             $core->callBehavior('publicFeedBeforeGetPosts', $params, $args);
@@ -650,5 +650,5 @@
 
             if (!is_array($args)) {
-                $args = array();
+                $args = [];
             }
 
@@ -668,5 +668,5 @@
         $core = &$GLOBALS['core'];
         if (!is_array($args)) {
-            $args = array();
+            $args = [];
         }
 
Index: inc/public/prepend.php
===================================================================
--- inc/public/prepend.php	(revision 3731)
+++ inc/public/prepend.php	(revision 3874)
@@ -130,10 +130,10 @@
 # Prepare the HTTP cache thing
 $mod_files = get_included_files();
-$mod_ts    = array();
+$mod_ts    = [];
 $mod_ts[]  = $core->blog->upddt;
 
-$__theme_tpl_path = array(
+$__theme_tpl_path = [
     $core->blog->themes_path . '/' . $__theme . '/tpl'
-);
+];
 if ($__parent_theme) {
     $__theme_tpl_path[] = $core->blog->themes_path . '/' . $__parent_theme . '/tpl';
Index: inc/public/rs.extension.php
===================================================================
--- inc/public/rs.extension.php	(revision 3731)
+++ inc/public/rs.extension.php	(revision 3874)
@@ -10,6 +10,6 @@
 if (!defined('DC_RC_PATH')) {return;}
 
-$core->addBehavior('coreBlogGetPosts', array('rsExtendPublic', 'coreBlogGetPosts'));
-$core->addBehavior('coreBlogGetComments', array('rsExtendPublic', 'coreBlogGetComments'));
+$core->addBehavior('coreBlogGetPosts', ['rsExtendPublic', 'coreBlogGetPosts']);
+$core->addBehavior('coreBlogGetComments', ['rsExtendPublic', 'coreBlogGetComments']);
 
 class rsExtendPublic
Index: plugins/aboutConfig/_define.php
===================================================================
--- plugins/aboutConfig/_define.php	(revision 3731)
+++ plugins/aboutConfig/_define.php	(revision 3874)
@@ -17,7 +17,7 @@
     "Olivier Meunier",                           // Author
     '0.5',                                       // Version
-    array(
+    [
         'type' => 'plugin'
-    )
+    ]
 
 );
Index: plugins/aboutConfig/index.php
===================================================================
--- plugins/aboutConfig/index.php	(revision 3731)
+++ plugins/aboutConfig/index.php	(revision 3874)
@@ -71,16 +71,16 @@
 {
     if ($s['type'] == 'boolean') {
-        $field = form::combo(array($field_name . '[' . $ns . '][' . $id . ']', $field_name . '_' . $ns . '_' . $id),
-            array(__('yes') => 1, __('no') => 0), $s['value'] ? 1 : 0);
+        $field = form::combo([$field_name . '[' . $ns . '][' . $id . ']', $field_name . '_' . $ns . '_' . $id],
+            [__('yes') => 1, __('no') => 0], $s['value'] ? 1 : 0);
     } else {
         if ($s['type'] == 'array') {
-            $field = form::field(array($field_name . '[' . $ns . '][' . $id . ']', $field_name . '_' . $ns . '_' . $id), 40, null,
+            $field = form::field([$field_name . '[' . $ns . '][' . $id . ']', $field_name . '_' . $ns . '_' . $id], 40, null,
                 html::escapeHTML(json_encode($s['value'])));
         } else {
-            $field = form::field(array($field_name . '[' . $ns . '][' . $id . ']', $field_name . '_' . $ns . '_' . $id), 40, null,
+            $field = form::field([$field_name . '[' . $ns . '][' . $id . ']', $field_name . '_' . $ns . '_' . $id], 40, null,
                 html::escapeHTML($s['value']));
         }
     }
-    $type = form::hidden(array($field_name . '_type' . '[' . $ns . '][' . $id . ']', $field_name . '_' . $ns . '_' . $id . '_type'),
+    $type = form::hidden([$field_name . '_type' . '[' . $ns . '][' . $id . ']', $field_name . '_' . $ns . '_' . $id . '_type'],
         html::escapeHTML($s['type']));
 
@@ -105,9 +105,9 @@
 <?php
 echo dcPage::breadcrumb(
-    array(
+    [
         __('System')                        => '',
         html::escapeHTML($core->blog->name) => '',
         __('about:config')                  => ''
-    )) .
+    ]) .
 dcPage::notices();
 ?>
@@ -123,5 +123,5 @@
 '  <th>' . __('Value') . '</th>' . "\n" .
 '  <th>' . __('Type') . '</th>' . "\n" .
-'  <th class="maximalx">' . __('Description') . '</th>' . "\n" .
+'  <th>' . __('Description') . '</th>' . "\n" .
     '</tr>' . "\n" .
     '</thead>' . "\n" .
@@ -129,5 +129,5 @@
 $table_footer = '</tbody></table></div>';
 
-$settings = array();
+$settings = [];
 foreach ($core->blog->settings->dumpNamespaces() as $ns => $namespace) {
     foreach ($namespace->dumpSettings() as $k => $v) {
@@ -137,5 +137,5 @@
 ksort($settings);
 if (count($settings) > 0) {
-    $ns_combo = array();
+    $ns_combo = [];
     foreach ($settings as $ns => $s) {
         $ns_combo[$ns] = '#l_' . $ns;
@@ -174,5 +174,5 @@
 
 <?php
-$settings = array();
+$settings = [];
 
 foreach ($core->blog->settings->dumpNamespaces() as $ns => $namespace) {
@@ -185,5 +185,5 @@
 
 if (count($settings) > 0) {
-    $ns_combo = array();
+    $ns_combo = [];
     foreach ($settings as $ns => $s) {
         $ns_combo[$ns] = '#g_' . $ns;
Index: plugins/akismet/_define.php
===================================================================
--- plugins/akismet/_define.php	(revision 3731)
+++ plugins/akismet/_define.php	(revision 3874)
@@ -17,8 +17,8 @@
     "Olivier Meunier",                // Author
     '1.1',                            // Version
-    array(
+    [
         'permissions' => 'usage,contentadmin',
         'priority'    => 200,
         'type'        => 'plugin'
-    )
+    ]
 );
Index: plugins/akismet/class.dc.filter.akismet.php
===================================================================
--- plugins/akismet/class.dc.filter.akismet.php	(revision 3731)
+++ plugins/akismet/class.dc.filter.akismet.php	(revision 3874)
@@ -60,5 +60,5 @@
         {
             if ($ak->verify()) {
-                $post = $blog->getPosts(array('post_id' => $post_id));
+                $post = $blog->getPosts(['post_id' => $post_id]);
 
                 $c = $ak->comment_check(
@@ -186,8 +186,8 @@
         $path       = sprintf($this->ak_path, 'verify-key');
 
-        $data = array(
+        $data = [
             'key'  => $this->ak_key,
             'blog' => $this->blog_url
-        );
+        ];
 
         if ($this->post($path, $data, 'UTF-8')) {
@@ -200,6 +200,6 @@
     public function comment_check($permalink, $type, $author, $email, $url, $content)
     {
-        $info_ignore = array('HTTP_COOKIE');
-        $info        = array();
+        $info_ignore = ['HTTP_COOKIE'];
+        $info        = [];
 
         foreach ($_SERVER as $k => $v) {
@@ -224,5 +224,5 @@
     }
 
-    protected function callFunc($function, $permalink, $type, $author, $email, $url, $content, $info = array())
+    protected function callFunc($function, $permalink, $type, $author, $email, $url, $content, $info = [])
     {
         $ua      = isset($info['HTTP_USER_AGENT']) ? $info['HTTP_USER_AGENT'] : '';
@@ -230,5 +230,5 @@
 
         # Prepare comment data
-        $data = array(
+        $data = [
             'blog'                 => $this->blog_url,
             'user_ip'              => http::realIP(),
@@ -241,5 +241,5 @@
             'comment_author_url'   => $url,
             'comment_content'      => $content
-        );
+        ];
 
         $data = array_merge($data, $info);
Index: plugins/antispam/_admin.php
===================================================================
--- plugins/antispam/_admin.php	(revision 3790)
+++ plugins/antispam/_admin.php	(revision 3874)
@@ -22,8 +22,8 @@
     $core->auth->check('admin', $core->blog->id));
 
-$core->addBehavior('coreAfterCommentUpdate', array('dcAntispam', 'trainFilters'));
-$core->addBehavior('adminAfterCommentDesc', array('dcAntispam', 'statusMessage'));
-$core->addBehavior('adminDashboardIcons', array('dcAntispam', 'dashboardIcon'));
-$core->addBehavior('adminDashboardHeaders', array('dcAntispam', 'dashboardHeaders'));
+$core->addBehavior('coreAfterCommentUpdate', ['dcAntispam', 'trainFilters']);
+$core->addBehavior('adminAfterCommentDesc', ['dcAntispam', 'statusMessage']);
+$core->addBehavior('adminDashboardIcons', ['dcAntispam', 'dashboardIcon']);
+$core->addBehavior('adminDashboardHeaders', ['dcAntispam', 'dashboardHeaders']);
 
 $core->addBehavior('adminDashboardFavorites', 'antispamDashboardFavorites');
@@ -32,10 +32,10 @@
 function antispamDashboardFavorites($core, $favs)
 {
-    $favs->register('antispam', array(
+    $favs->register('antispam', [
         'title'       => __('Antispam'),
         'url'         => $core->adminurl->get('admin.plugin.antispam'),
         'small-icon'  => dcPage::getPF('antispam/icon.png'),
         'large-icon'  => dcPage::getPF('antispam/icon-big.png'),
-        'permissions' => 'admin')
+        'permissions' => 'admin']
     );
 }
@@ -54,8 +54,8 @@
 
 if (!DC_ANTISPAM_CONF_SUPER || $core->auth->isSuperAdmin()) {
-    $core->addBehavior('adminBlogPreferencesForm', array('antispamBehaviors', 'adminBlogPreferencesForm'));
-    $core->addBehavior('adminBeforeBlogSettingsUpdate', array('antispamBehaviors', 'adminBeforeBlogSettingsUpdate'));
-    $core->addBehavior('adminCommentsSpamForm', array('antispamBehaviors', 'adminCommentsSpamForm'));
-    $core->addBehavior('adminPageHelpBlock', array('antispamBehaviors', 'adminPageHelpBlock'));
+    $core->addBehavior('adminBlogPreferencesForm', ['antispamBehaviors', 'adminBlogPreferencesForm']);
+    $core->addBehavior('adminBeforeBlogSettingsUpdate', ['antispamBehaviors', 'adminBeforeBlogSettingsUpdate']);
+    $core->addBehavior('adminCommentsSpamForm', ['antispamBehaviors', 'adminCommentsSpamForm']);
+    $core->addBehavior('adminPageHelpBlock', ['antispamBehaviors', 'adminPageHelpBlock']);
 }
 
Index: plugins/antispam/_define.php
===================================================================
--- plugins/antispam/_define.php	(revision 3731)
+++ plugins/antispam/_define.php	(revision 3874)
@@ -17,11 +17,11 @@
     "Alain Vagner",                         // Author
     '1.4.1',                                // Version
-    array(
+    [
         'permissions' => 'usage,contentadmin',
         'priority'    => 10,
-        'settings'    => array(
+        'settings'    => [
             'self' => '',
             'blog' => '#params.antispam_params'
-        )
-    )
+        ]
+    ]
 );
Index: plugins/antispam/_prepend.php
===================================================================
--- plugins/antispam/_prepend.php	(revision 3781)
+++ plugins/antispam/_prepend.php	(revision 3874)
@@ -22,8 +22,8 @@
 $__autoload['dcFilterWords']       = dirname(__FILE__) . '/filters/class.dc.filter.words.php';
 
-$core->spamfilters = array('dcFilterIP', 'dcFilterIpLookup', 'dcFilterWords', 'dcFilterLinksLookup');
+$core->spamfilters = ['dcFilterIP', 'dcFilterIpLookup', 'dcFilterWords', 'dcFilterLinksLookup'];
 
-$core->url->register('spamfeed', 'spamfeed', '^spamfeed/(.+)$', array('dcAntispamURL', 'spamFeed'));
-$core->url->register('hamfeed', 'hamfeed', '^hamfeed/(.+)$', array('dcAntispamURL', 'hamFeed'));
+$core->url->register('spamfeed', 'spamfeed', '^spamfeed/(.+)$', ['dcAntispamURL', 'spamFeed']);
+$core->url->register('hamfeed', 'hamfeed', '^hamfeed/(.+)$', ['dcAntispamURL', 'hamFeed']);
 
 if (!defined('DC_CONTEXT_ADMIN')) {return false;}
@@ -34,3 +34,3 @@
 
 // Register REST methods
-$core->rest->addFunction('getSpamsCount', array('dcAntispamRest', 'getSpamsCount'));
+$core->rest->addFunction('getSpamsCount', ['dcAntispamRest', 'getSpamsCount']);
Index: plugins/antispam/_public.php
===================================================================
--- plugins/antispam/_public.php	(revision 3731)
+++ plugins/antispam/_public.php	(revision 3874)
@@ -12,5 +12,5 @@
 if (!defined('DC_RC_PATH')) {return;}
 
-$core->addBehavior('publicBeforeCommentCreate', array('dcAntispam', 'isSpam'));
-$core->addBehavior('publicBeforeTrackbackCreate', array('dcAntispam', 'isSpam'));
-$core->addBehavior('publicBeforeDocument', array('dcAntispam', 'purgeOldSpam'));
+$core->addBehavior('publicBeforeCommentCreate', ['dcAntispam', 'isSpam']);
+$core->addBehavior('publicBeforeTrackbackCreate', ['dcAntispam', 'isSpam']);
+$core->addBehavior('publicBeforeDocument', ['dcAntispam', 'purgeOldSpam']);
Index: plugins/antispam/filters/class.dc.filter.ip.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.ip.php	(revision 3731)
+++ plugins/antispam/filters/class.dc.filter.ip.php	(revision 3874)
@@ -114,9 +114,9 @@
 
         '<p>' .
-        form::hidden(array('ip_type'), $type) .
+        form::hidden(['ip_type'], $type) .
         '<label class="classic" for="addip_' . $type . '">' . __('Add an IP address: ') . '</label> ' .
-        form::field(array('addip', 'addip_' . $type), 18, 255);
+        form::field(['addip', 'addip_' . $type], 18, 255);
         if ($core->auth->isSuperAdmin()) {
-            $res .= '<label class="classic" for="globalip_' . $type . '">' . form::checkbox(array('globalip', 'globalip_' . $type), 1) . ' ' .
+            $res .= '<label class="classic" for="globalip_' . $type . '">' . form::checkbox(['globalip', 'globalip_' . $type], 1) . ' ' .
             __('Global IP (used for all blogs)') . '</label> ';
         }
@@ -155,8 +155,8 @@
                 $item =
                 '<p class="' . $p_style . '"><label class="classic" for="' . $type . '-ip-' . $rs->rule_id . '">' .
-                form::checkbox(array('delip[]', $type . '-ip-' . $rs->rule_id), $rs->rule_id,
-                    array(
+                form::checkbox(['delip[]', $type . '-ip-' . $rs->rule_id], $rs->rule_id,
+                    [
                         'disabled' => $disabled_ip
-                    )
+                    ]
                 ) . ' ' .
                 html::escapeHTML($pattern) .
@@ -183,5 +183,5 @@
             '<p><input class="submit delete" type="submit" value="' . __('Delete') . '"/>' .
             $core->formNonce() .
-            form::hidden(array('ip_type'), $type) .
+            form::hidden(['ip_type'], $type) .
                 '</p>' .
                 '</form>';
Index: plugins/antispam/filters/class.dc.filter.words.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.words.php	(revision 3731)
+++ plugins/antispam/filters/class.dc.filter.words.php	(revision 3874)
@@ -141,8 +141,8 @@
 
                 $item = '<p class="' . $p_style . '"><label class="classic" for="word-' . $rs->rule_id . '">' .
-                form::checkbox(array('swd[]', 'word-' . $rs->rule_id), $rs->rule_id,
-                    array(
+                form::checkbox(['swd[]', 'word-' . $rs->rule_id], $rs->rule_id,
+                    [
                         'disabled' => $disabled_word
-                    )
+                    ]
                 ) . ' ' .
                 html::escapeHTML($rs->rule_content) .
@@ -168,5 +168,5 @@
             $res .=
             '</div>' .
-            '<p>' . form::hidden(array('spamwords'), 1) .
+            '<p>' . form::hidden(['spamwords'], 1) .
             $core->formNonce() .
             '<input class="submit delete" type="submit" value="' . __('Delete selected words') . '"/></p>' .
@@ -178,6 +178,6 @@
             '<form action="' . html::escapeURL($url) . '" method="post">' .
             '<p><input type="submit" value="' . __('Create default wordlist') . '" />' .
-            form::hidden(array('spamwords'), 1) .
-            form::hidden(array('createlist'), 1) .
+            form::hidden(['spamwords'], 1) .
+            form::hidden(['createlist'], 1) .
             $core->formNonce() . '</p>' .
                 '</form>';
@@ -255,5 +255,5 @@
     public function defaultWordsList()
     {
-        $words = array(
+        $words = [
             '/-credit(\s+|$)/',
             '/-digest(\s+|$)/',
@@ -354,5 +354,5 @@
             'xanax',
             'zolus'
-        );
+        ];
 
         foreach ($words as $w) {
Index: plugins/antispam/inc/class.dc.spamfilter.php
===================================================================
--- plugins/antispam/inc/class.dc.spamfilter.php	(revision 3731)
+++ plugins/antispam/inc/class.dc.spamfilter.php	(revision 3874)
@@ -41,5 +41,5 @@
 
         if ($core && isset($core->adminurl)) {
-            $this->gui_url = $core->adminurl->get('admin.plugin.antispam', array('f' => get_class($this)), '&');
+            $this->gui_url = $core->adminurl->get('admin.plugin.antispam', ['f' => get_class($this)], '&');
         }
     }
Index: plugins/antispam/inc/class.dc.spamfilters.php
===================================================================
--- plugins/antispam/inc/class.dc.spamfilters.php	(revision 3731)
+++ plugins/antispam/inc/class.dc.spamfilters.php	(revision 3874)
@@ -14,6 +14,6 @@
 class dcSpamFilters
 {
-    private $filters     = array();
-    private $filters_opt = array();
+    private $filters     = [];
+    private $filters_opt = [];
     private $core;
 
@@ -42,5 +42,5 @@
         $this->setFilterOpts();
         if (!empty($this->filters_opt)) {
-            uasort($this->filters, array($this, 'orderCallBack'));
+            uasort($this->filters, [$this, 'orderCallBack']);
         }
     }
@@ -133,6 +133,6 @@
         # Create default options if needed
         if (!is_array($this->filters_opt)) {
-            $this->saveFilterOpts(array(), true);
-            $this->filters_opt = array();
+            $this->saveFilterOpts([], true);
+            $this->filters_opt = [];
         }
 
Index: plugins/antispam/inc/lib.dc.antispam.php
===================================================================
--- plugins/antispam/inc/lib.dc.antispam.php	(revision 3787)
+++ plugins/antispam/inc/lib.dc.antispam.php	(revision 3874)
@@ -73,5 +73,5 @@
         if (($count = self::countSpam($core)) > 0) {
             $str = ($count > 1) ? __('(including %d spam comments)') : __('(including %d spam comment)');
-            $icons['comments'][0] .= '</span></a> <a href="' . $core->adminurl->get('admin.comments', array('status' => '-2')) . '"><span class="db-icon-title-spam">' .
+            $icons['comments'][0] .= '</span></a> <a href="' . $core->adminurl->get('admin.comments', ['status' => '-2']) . '"><span class="db-icon-title-spam">' .
             sprintf($str, $count);
         }
@@ -82,5 +82,5 @@
         if (($count = self::countSpam($core)) > 0) {
             $str = ($count > 1) ? __('(including %d spam comments)') : __('(including %d spam comment)');
-            return '</span></a> <a href="' . $core->adminurl->get('admin.comments', array('status' => '-2')) . '"><span class="db-icon-title-spam">' .
+            return '</span></a> <a href="' . $core->adminurl->get('admin.comments', ['status' => '-2']) . '"><span class="db-icon-title-spam">' .
             sprintf($str, $count);
         } else {
@@ -96,10 +96,10 @@
     public static function countSpam($core)
     {
-        return $core->blog->getComments(array('comment_status' => -2), true)->f(0);
+        return $core->blog->getComments(['comment_status' => -2], true)->f(0);
     }
 
     public static function countPublishedComments($core)
     {
-        return $core->blog->getComments(array('comment_status' => 1), true)->f(0);
+        return $core->blog->getComments(['comment_status' => 1], true)->f(0);
     }
 
@@ -117,5 +117,5 @@
 
         $rs = $core->con->select($strReq);
-        $r  = array();
+        $r  = [];
         while ($rs->fetch()) {
             $r[] = (integer) $rs->comment_id;
Index: plugins/antispam/inc/lib.dc.antispam.url.php
===================================================================
--- plugins/antispam/inc/lib.dc.antispam.url.php	(revision 3731)
+++ plugins/antispam/inc/lib.dc.antispam.url.php	(revision 3874)
@@ -39,5 +39,5 @@
 
         $title   = $core->blog->name . ' - ' . __('Spam moderation') . ' - ';
-        $params  = array();
+        $params  = [];
         $end_url = '';
         if ($type == 'spam') {
